<?php
require_once("../config/conexion.php");
require_once("../models/Usuario.php");
require_once("../models/Permisos.php");
$usuario = new Usuario();
/*=============================================
    JAVASCRIPT
    =============================================*/
switch ($_GET["op"]) {
    case "consultar_usuario":
        $datos = $usuario->Usuario_por_ID($_POST["userId"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["nickname"] = $row["nickname"];
                $output["clave"] = $row["clave"];
                $output["tipoDocumentoId"] = $row["tipoDocumentoId"];
                $output["identificacion"] = $row["identificacion"];
                $output["pnombre"] = $row["pnombre"];
                $output["snombre"] = $row["snombre"];
                $output["papellido"] = $row["papellido"];
                $output["sapellido"] = $row["sapellido"];
                $output["sexoId"] = $row["sexoId"];
                $output["generoId"] = $row["generoId"];
                $output["estadoCivilId"] = $row["estadoCivilId"];
                $output["etniaId"] = $row["etniaId"];
                $output["puebloNacionalidadId"] = $row["puebloNacionalidadId"];
                $output["tipoSangre"] = $row["tipoSangre"];
                $output["lugarNacimiento"] = $row["lugarNacimiento"];
                $output["fechaNacimiento"] = $row["fechaNacimiento"];
                $output["nacionalidad"] = $row["nacionalidad"];
                $output["email"] = $row["email"];
                $output["emailInstitucional"] = $row["emailInstitucional"];
                $output["numcel"] = $row["numcel"];
                $output["contactoEmergencia"] = $row["contactoEmergencia"];
                $output["telefonoContactoEmergencia"] = $row["telefonoContactoEmergencia"];
                $output["tipoColegioId"] = $row["tipoColegioId"];
                $output["colegioProviene"] = $row["colegioProviene"];
                $output["ubicacionColegio"] = $row["ubicacionColegio"];
                $output["tituloBachillerato"] = $row["tituloBachillerato"];
                $output["anioGraduacion"] = $row["anioGraduacion"];
                $output["notaBachillerato"] = $row["notaBachillerato"];
                $output["otroTitulo"] = $row["otroTitulo"];
                $output["nivel"] = $row["nivel"];
                $output["otraCarrera"] = $row["otraCarrera"];
                $output["otraInstitucion"] = $row["otraInstitucion"];
                $output["discapacidadId"] = $row["discapacidadId"];
                $output["porcentajeDiscapacidad"] = $row["porcentajeDiscapacidad"];
                $output["numCarnetConadis"] = $row["numCarnetConadis"];
                $output["tipoDiscapacidadId"] = $row["tipoDiscapacidadId"];
                $output["res_pais"] = $row["res_pais"];
                $output["res_provincia"] = $row["res_provincia"];
                $output["res_canton"] = $row["res_canton"];
                $output["res_parroquia"] = $row["res_parroquia"];
                $output["res_barrio"] = $row["res_barrio"];
                $output["res_zona"] = $row["res_zona"];
                $output["res_direccion"] = $row["res_direccion"];
                $output["res_telefono"] = $row["res_telefono"];
                $output["proc_pais"] = $row["proc_pais"];
                $output["proc_provincia"] = $row["proc_provincia"];
                $output["proc_canton"] = $row["proc_canton"];
                $output["proc_parroquia"] = $row["proc_parroquia"];
                $output["proc_barrio"] = $row["proc_barrio"];
                $output["proc_zona"] = $row["proc_zona"];
                $output["proc_direccion"] = $row["proc_direccion"];
            }
            echo json_encode($output);
        }
        break;
      case "actualizar_clave":
        $encriptar = crypt($_POST["clave"], '$2a$07$asxx54ahjppf45sd87a5a4dDDGsystemdev$');
        $datos = array("tabla" => "usuario",
            "usuariodbk" => $_POST["usuariodbk"],
            "clave" => $encriptar);
        $usuario->mdlActualizarClave($datos);
        break;
    case "activos":
        $datos = $usuario->Total_Activos();
        foreach ($datos as $row) {
            $output["activos"] = $row["activos"];
        }
        echo json_encode($output);
        break;
    case "inactivos":
        $datos = $usuario->Total_Inactivos();
        foreach ($datos as $row) {
            $output["inactivos"] = $row["inactivos"];
        }
        echo json_encode($output);
        break;
    case "listar":
        $datos = $usuario->Consultar($_GET["fil"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("USUARIO", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $estado = $row["estado"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $contacto = $row["contacto"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["nickname"];
            $sub_array[] = $row["ultimo_login"];
            if ($row["foto"] != "") {
                $sub_array[] = '<td><img src="../../' . $row["foto"] . '" class="img-thumbnail" width="40px"></td>';
            } else {
                $sub_array[] = '<td><img src="../../views/img/usuarios/default/anonymous.png" class="img-thumbnail" width="40px"></td>';
            }
            $sub_array[] = $row["perfil"];
            if ($estado == 1) {
                if ($row["estado"] != "INACTIVO") {
                    $sub_array[] = '<td><button class="btn btn-success btn-xs btnActivarUsuario" idUsuario="' . $row["usuariodbk"] . '" estadoUsuario="INACTIVO">Activo</button></td>';
                } else {
                    $sub_array[] = '<td><button class="btn btn-danger btn-xs btnActivarUsuario" idUsuario="' . $row["usuariodbk"] . '" estadoUsuario="ACTIVO">Inactivo</button></td>';
                }
            }

            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editar(' . $row["usuariodbk"] . ');" id="' . $row["usuariodbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminar(' . $row["usuariodbk"] . ');" id="' . $row["usuariodbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editar(' . $row["usuariodbk"] . ');" id="' . $row["usuariodbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-eye"></i></div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "guardar":
        $datos = array("tabla" => "usuario",
            "usuariodbk" => $_POST["usuariodbk"],
            "persona" => $_POST["persona"],
            "nickname" => $_POST["nickname"],
            "clave" => $_POST["clave"],
//            "foto" => $_POST["foto"],
            "perfil" => $_POST["perfil"]
        );
        $usuario->mdlActualizarUsuario($datos);
        break;
    case "mostrar_usuario":
        $datos = $usuario->Usuario_por_ID($_POST["usuariodbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["usuariodbk"] = $row["usuariodbk"];
                $output["persona"] = $row["persona"];
                $output["nickname"] = $row["nickname"];
                $output["clave"] = $row["clave"];
                $output["perfil"] = $row["perfil"];
            }
            echo json_encode($output);
        }
        break;
    case "estado":
        if (isset($_POST["activarId"]) && isset($_POST["activarUsuario"])) {
            $datos = array("tabla" => "usuario",
                "usuariodbk" => $_POST["activarId"],
                "estado" => $_POST["activarUsuario"]
            );
            $usuario->mdlActualizarEstado($datos);
        }
        break;
    case "eliminar_usuario":
        $datos = $usuario->Eliminar_por_ID($_POST["usuariodbk"]);
        break;         
}
?>
